Get messages
List all messages of a conversation
GET
/
api
/
v1
/
accounts
/
{account_id}
/
conversations
/
{conversation_id}
/
messages
Get messages
curl --request GET \
--url https://app.tied.com/api/v1/accounts/{account_id}/conversations/{conversation_id}/messages \
--header 'api_access_token: <api-key>'import requests
url = "https://app.tied.com/api/v1/accounts/{account_id}/conversations/{conversation_id}/messages"
headers = {"api_access_token": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {api_access_token: '<api-key>'}};
fetch('https://app.tied.com/api/v1/accounts/{account_id}/conversations/{conversation_id}/messages', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));require 'uri'
require 'net/http'
url = URI("https://app.tied.com/api/v1/accounts/{account_id}/conversations/{conversation_id}/messages")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["api_access_token"] = '<api-key>'
response = http.request(request)
puts response.read_bodypackage main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://app.tied.com/api/v1/accounts/{account_id}/conversations/{conversation_id}/messages"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("api_access_token", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"meta": {
"labels": [],
"additional_attributes": {},
"contact": {
"additional_attributes": {},
"custom_attributes": {},
"email": null,
"id": 142,
"identifier": null,
"name": "Jen Park",
"phone_number": null,
"thumbnail": "",
"thumbnail_background_color": null,
"domain_logo_avatar": false,
"customer_verified": false,
"blocked": false,
"type": "contact"
},
"agent_last_seen_at": "2026-09-20T23:06:03.222Z",
"assignee_last_seen_at": null
},
"payload": [
{
"id": 559,
"content": "Hello — trying the chat widget on our staging site.",
"inbox_id": 4,
"conversation_id": 167,
"message_type": 0,
"content_type": "text",
"status": "sent",
"content_attributes": {},
"created_at": 1789945263,
"private": false,
"source_id": null,
"actor": null,
"sender": {
"additional_attributes": {},
"custom_attributes": {},
"email": null,
"id": 142,
"identifier": null,
"name": "Jen Park",
"phone_number": null,
"thumbnail": "",
"thumbnail_background_color": null,
"domain_logo_avatar": false,
"customer_verified": false,
"blocked": false,
"type": "contact"
}
},
{
"id": 560,
"content": "I can walk you through either plan and what changes between them.",
"inbox_id": 4,
"conversation_id": 167,
"message_type": 1,
"content_type": "text",
"status": "sent",
"content_attributes": {},
"created_at": 1789945383,
"private": false,
"source_id": null,
"actor": null,
"sender": {
"id": 1,
"name": "Alex Rivera",
"available_name": "Alex Rivera",
"avatar_url": "",
"type": "user",
"availability_status": "offline",
"thumbnail": "/dashboard/images/default-contact-avatars/031.svg",
"illustration_avatar": true,
"accent_color": null
}
}
]
}{
"error": "Resource could not be found"
}{
"error": "Resource could not be found"
}Authorizations
This token can be obtained by visiting the profile page or via rails console. Provides access to endpoints based on the user permissions levels. This token can be saved by an external system when user is created via API, to perform activities on behalf of the user.
Path Parameters
The numeric ID of the account
The numeric ID of the conversation
Was this page helpful?
⌘I
Get messages
curl --request GET \
--url https://app.tied.com/api/v1/accounts/{account_id}/conversations/{conversation_id}/messages \
--header 'api_access_token: <api-key>'import requests
url = "https://app.tied.com/api/v1/accounts/{account_id}/conversations/{conversation_id}/messages"
headers = {"api_access_token": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {api_access_token: '<api-key>'}};
fetch('https://app.tied.com/api/v1/accounts/{account_id}/conversations/{conversation_id}/messages', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));require 'uri'
require 'net/http'
url = URI("https://app.tied.com/api/v1/accounts/{account_id}/conversations/{conversation_id}/messages")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["api_access_token"] = '<api-key>'
response = http.request(request)
puts response.read_bodypackage main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://app.tied.com/api/v1/accounts/{account_id}/conversations/{conversation_id}/messages"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("api_access_token", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"meta": {
"labels": [],
"additional_attributes": {},
"contact": {
"additional_attributes": {},
"custom_attributes": {},
"email": null,
"id": 142,
"identifier": null,
"name": "Jen Park",
"phone_number": null,
"thumbnail": "",
"thumbnail_background_color": null,
"domain_logo_avatar": false,
"customer_verified": false,
"blocked": false,
"type": "contact"
},
"agent_last_seen_at": "2026-09-20T23:06:03.222Z",
"assignee_last_seen_at": null
},
"payload": [
{
"id": 559,
"content": "Hello — trying the chat widget on our staging site.",
"inbox_id": 4,
"conversation_id": 167,
"message_type": 0,
"content_type": "text",
"status": "sent",
"content_attributes": {},
"created_at": 1789945263,
"private": false,
"source_id": null,
"actor": null,
"sender": {
"additional_attributes": {},
"custom_attributes": {},
"email": null,
"id": 142,
"identifier": null,
"name": "Jen Park",
"phone_number": null,
"thumbnail": "",
"thumbnail_background_color": null,
"domain_logo_avatar": false,
"customer_verified": false,
"blocked": false,
"type": "contact"
}
},
{
"id": 560,
"content": "I can walk you through either plan and what changes between them.",
"inbox_id": 4,
"conversation_id": 167,
"message_type": 1,
"content_type": "text",
"status": "sent",
"content_attributes": {},
"created_at": 1789945383,
"private": false,
"source_id": null,
"actor": null,
"sender": {
"id": 1,
"name": "Alex Rivera",
"available_name": "Alex Rivera",
"avatar_url": "",
"type": "user",
"availability_status": "offline",
"thumbnail": "/dashboard/images/default-contact-avatars/031.svg",
"illustration_avatar": true,
"accent_color": null
}
}
]
}{
"error": "Resource could not be found"
}{
"error": "Resource could not be found"
}